import {
    getWxQrcode
} from '~/api/user'
Component({
    data: {
        show: false,
        qrCode: ''
    },
    methods: {
        async open() {
            let res = await getWxQrcode()
            console.log(res);
            this.getTabBar().setData({
                mask: true
            })
            this.setData({
                show: true,
                qrCode: res.ticketUrl
            })
        },
        closeModal() {
            this.setData({
                show: false
            })
            this.getTabBar().setData({
                mask: false
            })
        },
    }
})